Retrieve all purchase orders that meet the specified parameters

SecurityOAuth2
Request
path Parameters
purchaseOrderId
required
string

The identifier of the purchase order.

header Parameters
Toast-Restaurant-External-ID
required
string

The Toast identifier of the location queried for retail information.

Responses
200

Success

500

Internal server error

get/v1/purchaseOrders/{purchaseOrderId}
Request samples
curl -i -X GET \
  'https://ws-sandbox-api.eng.toasttab.com/v1/purchaseOrders/{purchaseOrderId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Toast-Restaurant-External-ID: string'
Response samples
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "createdDate": "2019-08-24T14:15:22Z",
  • "modifiedDate": "2019-08-24T14:15:22Z",
  • "archived": true,
  • "status": "DRAFT",
  • "paid": true,
  • "supplier": {
    },
  • "toastGeneratedPurchaseOrderNumber": 0,
  • "externalPurchaseOrderNumber": "string",
  • "externalInvoiceNumber": "string",
  • "items": [
    ],
  • "distributionStrategies": {
    },
  • "purchaseOrderTotals": {
    },
  • "expectedDate": "2019-08-24T14:15:22Z",
  • "purchasingEntityInfo": {
    },
  • "supplierNotes": "string",
  • "receivingNotes": "string"
}